﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using TMPro;

public class DefeatedCounterDisplay : MonoBehaviour {

    public TMP_Text defeatedPlayersCountGameplayText;
    public TMP_Text defeatedPlayersCountSpectatorText;
    int defeatedPlayersCount = 0;

    // Update is called once per frame
    void Update() {
        if (defeatedPlayersCountGameplayText)
            defeatedPlayersCountGameplayText.SetText(defeatedPlayersCount.ToString());
        if (defeatedPlayersCountSpectatorText)
            defeatedPlayersCountSpectatorText.SetText(defeatedPlayersCount.ToString());
    }

    public int GetDefeatedPlayersCount() {
        return defeatedPlayersCount;
    }

    public void SetDefeatedPlayersCount(int _defeatedPlayersCount) {
        defeatedPlayersCount = _defeatedPlayersCount;
    }
}
