﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[ExecuteInEditMode]
public class HideChildGameObjects : MonoBehaviour {

	public bool hidden = true;

	void Start () {
		HideYoKids ();
	}

	void OnValidate () {
		HideYoKids ();
	}

	void HideYoKids () {
		if (hidden)
			for (int i = 0; i < transform.childCount; i++)
				transform.GetChild(i).hideFlags = HideFlags.HideInHierarchy;
		else
			for (int i = 0; i < transform.childCount; i++)
				transform.GetChild(i).hideFlags = HideFlags.None;
	}
}
