﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PopUpPrompt : MonoBehaviour {

	public int tootNum;
	public TutorialIsland island;

	void Awake () {
		island = FindObjectOfType<TutorialIsland> ();
	}

	void OnTriggerEnter (Collider col) {
		if (col.tag == "Player") {
			island.ActivateText (tootNum);
		}
	}

	void OnTriggerExit (Collider col) {
		if (col.tag == "Player") {
			island.ActivateText (-1);
		}
	}
}
