﻿using System.Collections;
using System.Collections.Generic;
using System;
using UnityEngine;

[AttributeUsage(AttributeTargets.Field)]
public class Incrementor : PropertyAttribute {

	public readonly string variableName;
	public readonly string floatName;
	public readonly bool isRotation = false;
	public int mySelection = 0;

	public Incrementor (string varName, string floatName, bool isRotation) {
		this.variableName = varName;
		this.floatName = floatName;
		this.isRotation = isRotation;
	}
}
