﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using UnityEngine.SceneManagement;

public class TutorialIsland : MonoBehaviour {

	public GameObject barsUI;
	public GameObject mapUI;
	public GameObject inventoryUI;
	public List<GameObject> prompts;

	public void ActivateText (int prompt) {
		for (int i = 0; i < prompts.Count; i++) {
			bool check = (i == prompt) ? true : false;
			prompts [i].SetActive (check);
		}

		if (prompt == 1) {
			barsUI.SetActive (true);
			mapUI.SetActive (false);
			inventoryUI.SetActive (false);
		} else if (prompt == 2) {
			barsUI.SetActive (false);
			mapUI.SetActive (true);
			inventoryUI.SetActive (false);
		} else if (prompt == 3 || prompt == 4) {
			barsUI.SetActive (false);
			mapUI.SetActive (false);
			inventoryUI.SetActive (true);
		} else {
			barsUI.SetActive (false);
			mapUI.SetActive (false);
			inventoryUI.SetActive (false);
		}
	}
}
